Bug 849175 - Review Request: GAPDoc - GAP documentation tool
Review Request: GAPDoc - GAP documentation tool
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Paulo Andrade
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-17 11:20 EDT by Jerry James
Modified: 2012-09-17 19:18 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-01 20:28:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
paulo.cesar.pereira.de.andrade: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jerry James 2012-08-17 11:20:05 EDT
Spec URL: http://jjames.fedorapeople.org/GAPDoc/GAPDoc.spec
SRPM URL: http://jjames.fedorapeople.org/GAPDoc/GAPDoc-1.3-1.fc16.src.rpm
Description: Tools and an XML format for writing GAP documentation.
Fedora Account System Username: jjames

This is not the latest version of GAPDoc, but it is the latest version that works with GAP 4.4.12, the version currently supported in Fedora.  The two packages, GAP and GAPDoc, will have to be updated to their latest versions together, as they are mutually dependent in those versions.  That is, GAPDoc 1.3 should be considered a bootstrap package, that will enable updating to GAP 4.5.x, that will in turn enable updating to GAPDoc 1.5.1.
Comment 1 Paulo Andrade 2012-08-17 20:22:02 EDT
I noticed 3 files with ^M ending lines
/usr/share/gap/pkg/GAPDoc-1.3/mathml/ctop.xsl
/usr/share/gap/pkg/GAPDoc-1.3/mathml/mathml.xsl
/usr/share/gap/pkg/GAPDoc-1.3/mathml/pmathml.xsl
but not a big deal to remove those.

I could not find any place where the license is clearly
specified as GPLv2+; should be the case when being a
(contributed and accepted) gap package, thus following
gap license.
The other licenses are listed in the files, and one
could look at licensecheck output to see the files
with different license, as specified in the spec:
# The package is all GPLv2+ except for some of the mathml files

BTW, I have been using this package for a very
long time, it is a build requires of my work in
progress sagemath package, and only now noticed that
it was not yet part of fedora.
Comment 2 Paulo Andrade 2012-08-17 20:32:49 EDT
Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== Generic ====
[x]: EXTRA Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: EXTRA Spec file according to URL is the same as in SRPM.
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[x]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[x]: MUST Sources contain only permissible code or content.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: Note: defattr macros not found. They would be needed for EPEL5
[x]: MUST Macros in Summary, %description expandable at SRPM build time.
[x]: MUST Package contains desktop file if it is a GUI application.
[x]: MUST Development files must be in a -devel package
[x]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Package complies to the Packaging Guidelines
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf would be needed if support for EPEL5 is required
[x]: MUST Large documentation files are in a -doc subpackage, if required.
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[!]: MUST License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. No licenses
     found. Please check the source files for licenses manually.
[x]: MUST Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: MUST If the package is under multiple licenses, the licensing breakdown
     must be documented in the spec.
[x]: MUST Package is named using only allowed ascii characters.
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generate any conflict.
     Note: Package contains no Conflicts: tag(s)
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[x]: MUST If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[x]: MUST Package is not relocatable.
[x]: MUST Requires correct, justified where necessary.
[x]: MUST Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: MUST Package contains systemd file(s) if in need.
[x]: MUST File names are valid UTF-8.
[x]: SHOULD Reviewer should test that the package builds in mock.
[x]: SHOULD Buildroot is not present
     Note: Unless packager wants to package for EPEL5 this is fine
[x]: SHOULD Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL5 is required
[-]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[x]: SHOULD Package functions as described.
[x]: SHOULD Latest version is packaged.
[x]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD SourceX tarball generation or download is documented.
[x]: SHOULD SourceX / PatchY prefixed with %{name}.
[x]: SHOULD SourceX is a working URL.
[x]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[-]: SHOULD %check is present and all tests pass.
[x]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.

Issues:
[!]: MUST License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. No licenses
     found. Please check the source files for licenses manually.
See: http://fedoraproject.org/wiki/Packaging/LicensingGuidelines#ValidLicenseShortNames

Rpmlint
-------
Checking: GAPDoc-1.3-1.fc16.src.rpm
          GAPDoc-1.3-1.fc16.noarch.rpm
GAPDoc.src: W: spelling-error %description -l en_US encodings -> encoding, encoding s, recordings
GAPDoc.noarch: W: spelling-error %description -l en_US encodings -> encoding, encoding s, recordings
2 packages and 0 specfiles checked; 0 errors, 2 warnings.


Rpmlint (installed packages)
----------------------------
Cannot parse rpmlint output:
Requires
--------
GAPDoc-1.3-1.fc16.noarch.rpm (rpmlib, GLIBC filtered):
    
    gap-core
    tex(latex)

Provides
--------
GAPDoc-1.3-1.fc16.noarch.rpm:
    
    GAPDoc = 1.3-1.fc16
    gap-pkg-GAPDoc = 1.3-1.fc16

MD5-sum check
-------------
http://www.math.rwth-aachen.de/~Frank.Luebeck/GAPDoc/GAPDoc-1.3.tar.bz2 :
  CHECKSUM(SHA256) this package     : 652c7f0eae4a2f018e0fb96adfe9c706a775def56ec25fb236e3a7719465974c
  CHECKSUM(SHA256) upstream package : 652c7f0eae4a2f018e0fb96adfe9c706a775def56ec25fb236e3a7719465974c


Generated by fedora-review 0.2.2 (9f8c0e5) last change: 2012-08-09
Command line :/bin/fedora-review -b 849175
External plugins:

---%<---%<---%<---

I would like some comment on

[-]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.

otherwise, I have been using the package from your homepage for a
long time, and the package is in good shape, and also follow the
pattern of the other gap packages already in Fedora.
Comment 3 Jerry James 2012-08-20 16:18:20 EDT
According to http://www.math.rwth-aachen.de/~Frank.Luebeck/GAPDoc/CHANGES.txt the license file is included starting in version 1.4.  After this package is built for Fedora, I intend to update both it and GAP to their latest versions, but as I noted above, they are interdependent.  So I need the version with no license file added to Fedora before I can upgrade GAP, which has to happen before I can build a new GAPDoc with the license file.  Argh.

New version with the line endings fixed:
Spec URL: http://jjames.fedorapeople.org/GAPDoc/GAPDoc.spec
SRPM URL: http://jjames.fedorapeople.org/GAPDoc/GAPDoc-1.3-2.fc19.src.rpm
Comment 4 Paulo Andrade 2012-08-20 21:34:01 EDT
Ok. Good to know upstream is aware of the not so clear license
of package (by default should be the same as gap itself), and
in newer versions bundles a GPL copy.

My only remaining clarification question is about if the
doc and/or example subdirectories could be marked %doc?
That would probably affect runtime because the help command
should look at the doc subdir, but probably not the example
subdir. The 3k+1 subdir may also be optional, as it is a
"live example". The package should not require a -doc
subpackage as the disk space of those is minimal.
Comment 5 Jerry James 2012-08-21 17:13:23 EDT
The example directory is referred to in PackageInfo.g.  Once can use the in-GAP documentation system to view a document entitled "GAPDoc Example", which points to the contents of that directory.  So I think it has to be in the package.

The 3k+1 directory is only referred to in makedocrel.g, which I *think* means that it is only needed if someone tries to regenerate the documentation.  I'm not sure if that can (or is likely to be) done from inside GAP itself, however.
Comment 6 Paulo Andrade 2012-08-22 19:16:38 EDT
I think this is not much of an issue:

$ du -sh /usr/share/gap/pkg/
64M     /usr/share/gap/pkg/
$ du -sh /usr/share/gap/pkg/GAPDoc-1.3/
3.8M    /usr/share/gap/pkg/GAPDoc-1.3/
$ du -sh /usr/share/gap/pkg/GAPDoc-1.3/3k+1/
200K    /usr/share/gap/pkg/GAPDoc-1.3/3k+1/

as it would not be "exactly" a GAPDoc-doc subpackage, that
does not sound very well :-), if having only the 3k+1
example dir, as the doc and example subdirs need to be
in the main package.

I do not see any remaining issues, and as I have already
said, I did not even add GAPDoc when updating 
https://fedoraproject.org/wiki/SIGs/SciTech/SAGE
because I thought it was already in Fedora, but I had downloaded
and built it from your homepage several months ago.

I consider the package approved.
Comment 7 Jerry James 2012-08-23 17:02:01 EDT
Thanks again!

New Package SCM Request
=======================
Package Name: GAPDoc
Short Description: GAP documentation tool
Owners: jjames
Branches: f17 f18
InitialCC:
Comment 8 Gwyn Ciesla 2012-08-23 17:11:58 EDT
Git done (by process-git-requests).
Comment 9 Fedora Update System 2012-08-23 17:42:06 EDT
GAPDoc-1.3-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/GAPDoc-1.3-2.fc17
Comment 10 Fedora Update System 2012-08-23 17:42:17 EDT
GAPDoc-1.3-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/GAPDoc-1.3-2.fc18
Comment 11 Fedora Update System 2012-08-23 21:23:32 EDT
GAPDoc-1.3-2.fc18 has been pushed to the Fedora 18 testing repository.
Comment 12 Fedora Update System 2012-09-01 20:28:50 EDT
GAPDoc-1.3-2.fc17 has been pushed to the Fedora 17 stable repository.
Comment 13 Fedora Update System 2012-09-17 19:18:29 EDT
GAPDoc-1.3-2.fc18 has been pushed to the Fedora 18 stable repository.

Note You need to log in before you can comment on or make changes to this bug.